summaryrefslogtreecommitdiffstats
path: root/git/share/hooks/post-update.d/irker-notification
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2021-08-28 05:54:01 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2021-08-28 09:21:38 +0000
commit164ba68e506c5a23583e29c29a217d212b62f543 (patch)
treeb63a129aee145384e1f69f36ddb7995081bddaaf /git/share/hooks/post-update.d/irker-notification
parentAdding upstream version 20190301-lts1. (diff)
downloadopen-infrastructure-service-tools-164ba68e506c5a23583e29c29a217d212b62f543.tar.xz
open-infrastructure-service-tools-164ba68e506c5a23583e29c29a217d212b62f543.zip
Adding upstream version 20210828.upstream/20210828
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'git/share/hooks/post-update.d/irker-notification')
-rwxr-xr-xgit/share/hooks/post-update.d/irker-notification15
1 files changed, 15 insertions, 0 deletions
diff --git a/git/share/hooks/post-update.d/irker-notification b/git/share/hooks/post-update.d/irker-notification
new file mode 100755
index 0000000..212cc6c
--- /dev/null
+++ b/git/share/hooks/post-update.d/irker-notification
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+
+if [ -z "$(git config --get irker.project)" ]
+then
+ exit 0
+fi
+
+echo "sending IRC notification"
+
+while read OLD NEW REFNAME
+do
+ irkerhook --refname=${REFNAME} $(git rev-list --reverse ${OLD}..${NEW})
+done